<?php
error_reporting(E_ALL ^ E_NOTICE);
@ini_set('display_errors', true);
@ini_set('html_errors', false);
@ini_set('error_reporting', E_ALL ^ E_NOTICE);

define('DATALIFEENGINE', true);
define('ROOT_DIR', dirname ( __FILE__ ) );
define('ENGINE_DIR', ROOT_DIR.'/engine');

define('ONLINE_VERSION', '5.0');
define('ONLINE_TITLE', '  ');
define('ONLINE_DESCRIPTION', ' , .  ');

require_once(ROOT_DIR.'/language/Russian/adminpanel.lng');
require_once(ENGINE_DIR.'/inc/include/functions.inc.php');
require_once(ENGINE_DIR.'/skins/default.skin.php');

include ENGINE_DIR.'/classes/mysql.php';
include ENGINE_DIR.'/data/dbconfig.php';
include ENGINE_DIR.'/api/api.class.php';

/*
==========================================
  / 
==========================================
*/

function online_setup_config($array)
{
	$file_online_config = fopen( ROOT_DIR.'/engine/data/online_config.php', "w+" );
	fwrite($file_online_config, "<?php\n\n//  Online\n\n\$online_config = array(\n\n");
	foreach($array as $name => $value)
	{
		fwrite($file_online_config, "'{$name}' => \"{$value}\",\n\n");
	}
	fwrite($file_online_config, ");\n\n?>");
	fclose($file_online_config);
}

/*
==========================================
  / 
==========================================
*/

function online_setup_table()
{
	global $db;

/*
==========================================
      
==========================================
*/

	$db->query("SHOW TABLES FROM `".DBNAME."`");
	$tables_in_dle = array();
	while($row = $db->get_row())
	{
		$tables_in_dle[] = $row['Tables_in_'.DBNAME];
	}
	if(in_array(PREFIX."_online", $tables_in_dle))
	{
    		$db->query("DROP TABLE `".PREFIX."_online`");
	}

/*
==========================================
   
==========================================
*/

	$db->query("CREATE TABLE IF NOT EXISTS `".PREFIX."_online` (
	  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
	  `key` varchar(32) NOT NULL,
	  `uid` varchar(11) NOT NULL,
	  `uname` varchar(40) CHARACTER SET cp1251 NOT NULL,
	  `ip` varchar(16) NOT NULL,
	  `time` varchar(20) NOT NULL,
	  `user_agent` varchar(255) NOT NULL DEFAULT 'unknown',
	  `OS` varchar(255) CHARACTER SET cp1251 NOT NULL DEFAULT 'unknown',
	  `location` varchar(255) CHARACTER SET cp1251 NOT NULL DEFAULT 'unknown',
	  `proxy` varchar(255) NOT NULL DEFAULT 'unknown',
	  `foto` varchar(40) NOT NULL DEFAULT 'unknown',
	  `user_group` varchar(11) NOT NULL DEFAULT 'unknown',
	  PRIMARY KEY (`id`),
	  UNIQUE KEY `key` (`key`)
	) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;");
}

/*
==========================================
  : , 
==========================================
*/

if(is_file(ROOT_DIR.'/engine/data/online_config.php'))
{

//  

/*
==========================================
     
==========================================
*/

	$dle_api->install_admin_module('online', ONLINE_TITLE, ONLINE_DESCRIPTION, 'online.png', '1');


/*
==========================================
   
==========================================
*/

	online_setup_table();

/*
==========================================
  
==========================================
*/

	include ROOT_DIR.'/engine/data/online_config.php';
	$online_config['version'] = ONLINE_VERSION;

	online_setup_config($online_config);

/*
==========================================
     
==========================================
*/

	msg('online_setup', '  Online   '.ONLINE_VERSION, " Online     ".ONLINE_VERSION);
} else {

//  

/*
==========================================
     
==========================================
*/

	$dle_api->install_admin_module('online', ONLINE_TITLE, ONLINE_DESCRIPTION, 'online.png', '1');

/*
==========================================
   
==========================================
*/

	online_setup_table();

/*
==========================================
  
==========================================
*/

	$online_config = array(
		'version' => "5.0",
		'time_out' => "5",
		'limit_users' => "20",
		'limit_robots' => "20",
		'show_location' => "no",
		'show_country_flag' => "no",
		'show_country' => "no",
		'show_city' => "no",
		'show_last_visit' => "no",
		'show_user_group' => "yes",
		'show_twenty_users' => "no",
		'show_ip' => "yes",
		'show_proxy' => "yes",
		'show_user_OS' => "yes",
		'show_user_agent' => "yes",
		'show_browser_icon' => "yes",
	);

/*
==========================================
   
==========================================
*/

	online_setup_config($online_config);

/*
==========================================
     
==========================================
*/

	msg('online_setup', '  Online '.ONLINE_VERSION.'', " Online ".ONLINE_VERSION."  ");
}
?>