<?php

class online_license_api
{

    private function Online_getDomain( )
    {
        if ( function_exists( "getenv" ) )
        {
            $domain = getenv( "HTTP_HOST" );
        }
        else
        {
            $domain = $_SERVER['HTTP_HOST'];
        }
        $domain = explode( ".", $domain );
        $domain_count = count( $domain );
        $domain_zone = $domain[$domain_count - 1];
        $domain_name = $domain[$domain_count - 2];
        $check_free_zone = $domain_name.".".$domain_zone;
        $free_zone_list = array( "net.ru", "org.ru", "pp.ru", "com.ru", "ac.ru", "edu.ru", "of.by", "org.ua", "pp.ua", "net.ua", "gov.ua", "te.ua", "ternopil.ua", "uz.ua", "uzhgorod.ua", "vinnica.ua", "vn.ua", "chernovtsy.ua", "cv.ua", "ivano-frankivsk.ua", "kherson.ua", "km.ua", "ks.ua", "mk.ua", "nikolaev.ua", "pl.ua", "poltava.ua", "rovno.ua", "rv.ua", "sumy.ua", "if.ua", "co.cc", "da.ru", "tut.ru", "eu.org" );
        if ( in_array( $check_free_zone, $free_zone_list ) )
        {
            if ( $domain[$domain_count - 3] == NULL )
            {
                $domain_name = NULL;
            }
            else
            {
                $domain_name = $domain[$domain_count - 3].".";
            }
            $domain_zone = $domain[$domain_count - 2].".".$domain[$domain_count - 1];
        }
        else
        {
            $domain_name .= ".";
        }
        $domain = $domain_name.$domain_zone;
        return $domain;
    }

    private function Online_getDomainHash( )
    {
        $domain_hash = md5( md5( $this->Online_getDomain( )."Dark".ONLINE_UNIQUE_NUMBER."Angell-(c)2009" ) );
        return $domain_hash;
    }

    private function Online_addHashInConfig( $hash )
    {
        $this->online_config['key'] = $hash;
        $file_online_config = fopen( ONLINE_ROOT_DIR."/engine/data/online_config.php", "w+" );
        fwrite( $file_online_config, "<?php\n\n//  Online\n\n\$online_config = array(\n\n" );
        foreach ( $this->online_config as $name => $value )
        {
            fwrite( $file_online_config, "'".$name."' => \"{$value}\",\n\n" );
        }
        fwrite( $file_online_config, ");\n\n?>" );
        fclose( $file_online_config );
    }

}

class online_api
{

    public function start( $user_id, $user_name, $user_ip, $time, $user_location, $u_group, $user_proxy, $user_agent, $user_OS, $user_foto )
    {
        $this->user_id = $user_id;
        $this->user_name = $user_name;
        $this->user_ip = $user_ip;
        $this->time = $time;
        $this->user_location = $user_location;
        $this->user_group = $u_group;
        $this->user_proxy = $user_proxy;
        $this->user_agent = $user_agent;
        $this->user_OS = $user_OS;
        $this->user_foto = $user_foto;
        $this->tpl->load_template( "online/user_hint.tpl" );
    }

    private function set_block( $name, $text )
    {
        $this->tpl->set_block( "'\\[".$name."\\](.*?)\\[/".$name."\\]'si", $text );
    }

    public function getUserLocation( )
    {
        global $cstart;
        global $subaction;
        global $newsid;
        global $news_found;
        global $_REQUEST;
        global $_SERVER;
        global $cat_info;
        global $category_id;
        global $titl_e;
        if ( ( $subaction != "" || $newsid != "" ) && $news_found )
        {
            $location = " : ".$this->db->safesql( $titl_e );
        }
        if ( $cstart != "" )
        {
            $location = " ".$cstart."- ";
        }
        if ( $_SERVER['REQUEST_URI'] == "/index.php" || $_SERVER['REQUEST_URI'] == "/" )
        {
            $location = "  ";
        }
        switch ( $_REQUEST['do'] )
        {
        case "addnews" :
            $location = " ";
            break;
        case "tags" :
            $location = "  ";
            break;
        case "lastnews" :
            $location = "  ";
            break;
        case "static" :
            $location = " : ".$titl_e;
            break;
        case "favorites" :
            $location = "  ";
            break;
        case "rules" :
            $location = "  ";
            break;
        case "stats" :
            $location = "  ";
            break;
        case "cat" :
            $location = " : ".$cat_info[$category_id]['name'];
            break;
        case "lastcomments" :
            $location = "  ";
            break;
        case "feedback" :
            $location = "  ";
        }
        return $location;
    }

    public function getUserInfo( )
    {
        if ( $this->config['allow_alt_url'] == "yes" )
        {
            $profile_url = $this->config['http_home_url']."user/".$this->user_name;
        }
        else
        {
            $profile_url = $this->config['http_home_url']."index.php?subaction=userinfo&user=".$this->user_name;
        }
        if ( $this->user_foto && file_exists( ROOT_DIR."/uploads/fotos/".$this->user_foto ) )
        {
            $foto = $this->config['http_home_url']."uploads/fotos/".$this->user_foto;
        }
        else
        {
            $foto = $this->config['http_home_url']."templates/".$this->config['skin']."/images/noavatar.png";
        }
        if ( $this->online_config['show_country_flag'] == "yes" || $this->online_config['show_country'] == "yes" || $this->online_config['show_city'] == "yes" )
        {
            $gi = geoip_open( ROOT_DIR."/engine/data/GeoLiteCity.dat", GEOIP_STANDARD );
            $geoip = geoip_record_by_addr( $gi, $this->user_ip );
            geoip_close( $gi );
        }
        if ( $this->online_config['show_country_flag'] == "yes" && $geoip->country_code != NULL )
        {
            $flag = "<img src=\\'".$this->config['http_home_url']."templates/".$this->config['skin']."/online/flags/".$geoip->country_code."0.gif\\'>";
            $this->set_block( "flag", "\\1" );
        }
        else
        {
            $this->set_block( "flag", "" );
        }
        if ( $this->online_config['show_country'] == "yes" && $geoip->country_name != NULL )
        {
            $this->set_block( "country", "\\1" );
        }
        else
        {
            $this->set_block( "country", "" );
        }
        if ( $this->online_config['show_city'] == "yes" && $geoip->city != NULL )
        {
            $this->set_block( "city", "\\1" );
        }
        else
        {
            $this->set_block( "city", "" );
        }
        if ( $this->online_config['show_location'] == "yes" && $this->user_location != NULL )
        {
            $this->set_block( "user_location", "\\1" );
        }
        else
        {
            $this->set_block( "user_location", "" );
        }
        if ( $this->online_config['show_last_visit'] == "yes" && $this->time != NULL )
        {
            if ( date( "d.m.Y" ) == date( "d.m.Y", $this->time ) )
            {
                $last_visit = ", ".date( "H:i:s", $this->time );
            }
            else
            {
                $last_visit = date( "d.m.Y, H:i:s", $this->time );
            }
            $this->set_block( "last_visit", "\\1" );
        }
        else
        {
            $this->set_block( "last_visit", "" );
        }
        if ( $this->online_config['show_user_group'] == "yes" && $this->user_group != NULL )
        {
            $this->set_block( "usergroup", "\\1" );
        }
        else
        {
            $this->set_block( "usergroup", "" );
        }
        if ( $this->online_config['show_ip'] == "yes" && $this->user_ip != NULL )
        {
            $this->set_block( "ip", "\\1" );
        }
        else
        {
            $this->set_block( "ip", "" );
        }
        if ( $this->online_config['show_proxy'] == "yes" && $this->user_proxy != NULL )
        {
            $this->set_block( "proxy", "\\1" );
        }
        else
        {
            $this->set_block( "proxy", "" );
        }
        if ( $this->online_config['show_user_OS'] == "yes" && $this->user_OS != NULL )
        {
            $this->set_block( "user_OS", "\\1" );
        }
        else
        {
            $this->set_block( "user_OS", "" );
        }
        if ( $this->online_config['show_user_agent'] == "yes" && $this->user_agent != NULL )
        {
            $this->set_block( "user_agent", "\\1" );
        }
        else
        {
            $this->set_block( "user_agent", "" );
        }
        if ( $this->online_config['show_browser_icon'] == "yes" && $this->user_agent != NULL )
        {
            $browser_name = explode( " ", $this->user_agent );
            $browser_name = strtolower( trim( $browser_name['0'] ) );
            $browsers_list = array( "firefox", "safari", "opera", "explorer", "mozilla", "chrome", "chromiun", "flock", "konqueror", "Internet Explorer" );
            if ( in_array( $browser_name, $browsers_list ) )
            {
                $browser_icon = "<img src=\\'".$this->config['http_home_url']."templates/".$this->config['skin']."/online/browsers/".$browser_name.".png\\'>";
            }
            $this->set_block( "browser_icon", "\\1" );
        }
        else
        {
            $this->set_block( "browser_icon", "" );
        }
        $this->tpl->result['online_user'] = NULL;
        $this->tpl->result['online_user_hint'] = NULL;
        if ( strpos( $this->tpl->copy_template, "[group=" ) !== FALSE )
        {
            $this->tpl->copy_template = preg_replace( "#\\[group=(.+?)\\](.*?)\\[/group\\]#ies", "check_group('\\1', '\\2')", $this->tpl->copy_template );
        }
        $this->tpl->set( "{ip}", $this->user_ip );
        $this->tpl->set( "{flag}", $flag );
        $this->tpl->set( "{proxy}", $this->user_proxy );
        $this->tpl->set( "{country}", $country );
        $this->tpl->set( "{city}", $city );
        $this->tpl->set( "{user_OS}", $this->user_OS );
        $this->tpl->set( "{user_agent}", $this->user_agent );
        $this->tpl->set( "{usergroup}", $this->user_groups[$this->user_group]['group_name'] );
        $this->tpl->set( "{last_visit}", $last_visit );
        $this->tpl->set( "{user_location}", $this->user_location );
        $this->tpl->set( "{browser_icon}", $browser_icon );
        $this->tpl->set( "{foto}", $foto );
        $this->tpl->compile( "online_user_hint" );
        $this->tpl->clear( );
        $this->tpl->load_template( "online/user.tpl" );
        if ( strpos( $this->tpl->copy_template, "[user_group=" ) !== FALSE )
        {
            $this->tpl->copy_template = preg_replace( "#\\[user_group=(.+?)\\](.*?)\\[/user_group\\]#ies", "\$this->check_user_group('\\1', '\\2', '".$this->user_group."')", $this->tpl->copy_template );
        }
        $this->tpl->set( "{hint}", $this->tpl->result['online_user_hint'] );
        $this->tpl->set( "{user_name}", $this->user_name );
        $this->tpl->set( "{profile}", $profile_url );
        $this->tpl->compile( "online_user" );
        $this->tpl->clear( );
        return $this->tpl->result['online_user'];
    }

    private function check_user_group( $id, $text, $user_group )
    {
        if ( $id == $user_group )
        {
            return $text;
        }
        return FALSE;
    }

    public function getUserOS( $user_agent )
    {
        $os_arr = array( "Windows NT 4.0" => "Windows NT", "Windows NT 3.5" => "Windows NT", "Windows NT 5.0" => "Windows 2000", "Windows NT 5.1" => "Windows XP", "Windows NT 5.2" => "Windows XP x64 or Windows Server 2003", "Windows NT 6.0" => "Windows Vista", "Windows NT 6.1" => "Windows 7", "Windows CE" => "Windows CE or Windows Mobile", "Windows Me" => "Windows Me", "Windows 98" => "Windows 98", "Windows 95 " => "Windows 95", "Linux" => "Linux", "Lynx" => "Linux", "Unix" => "Linux", "Macintosh" => "Macintosh", "PowerPC" => "Macintosh", "OS/2" => "OS/2", "BeOS" => "BeOS" );
        foreach ( $os_arr as $key => $value )
        {
            if ( !strstr( strtolower( $user_agent ), strtolower( $key ) ) )
            {
                continue;
            }
            return $value;
        }
        return FALSE;
    }

    public function getUserBrowser( $user_agent )
    {
        if ( preg_match( "/(Opera|Firefox|Safari|Flock|MSIE|K-Meleon|SeaMonkey|Camino|Firebird|Epiphany|Chrome|America Online Browser)[\\/: ]([\\d.]+)/", $user_agent, $out ) )
        {
            if ( $out[1] == "MSIE" )
            {
                $out[1] = "Internet Explorer";
            }
            return $out[1]." ".$out[2];
        }
        return FALSE;
    }

    public function getOnlineList( )
    {
        $this->db->query( "SELECT * FROM ".PREFIX."_online" );
        while ( $row = $this->db->get_row( ) )
        {
            if ( $row['uid'] == 0 )
            {
                if ( $row['uname'] == "guest" )
                {
                    ++$this->online_list['guests'];
                }
                if ( $row['uname'] == "robot" && $this->online_list['robots_count'] < $this->online_config['limit_robots'] )
                {
                    $this->start( 0, $row['user_agent'], $row['ip'], $row['time'], $row['location'], NULL, $row['proxy'], $row['user_agent'], NULL, NULL );
                    $this->online_list['robots'] .= $this->getUserInfo( );
                    ++$this->online_list['robots_count'];
                }
            }
            else if ( $this->online_list['users_count'] < $this->online_config['limit_users'] )
            {
                $this->start( $row['uid'], $row['uname'], $row['ip'], $row['time'], $row['location'], $row['user_group'], $row['proxy'], $row['user_agent'], $row['OS'], $row['foto'] );
                $this->online_list['users'] .= $this->getUserInfo( );
                ++$this->online_list['users_count'];
                $this->clear( );
            }
            ++$this->online_list['all'];
        }
        if ( !$is_licence || 5 < $this->online_list['all'] )
        {
            
        }
        return $this->online_list;
    }

    public function check_robot( $user_agent )
    {
        $robots = array( "Mail.Ru" => "Mail Ru", "spider" => "spider Bot", "robot" => "robot Bot", "crawl" => "crawl Bot", "msiecrawler" => "MSIE Crawler", "spider17" => "yandex.ru", "spider17.yandex.ru" => "", "twiceler" => "Cuil", "googlebot" => "Google Bot", "mediapartners-google" => "Google AdSense", "slurp@inktomi" => "Hot Bot", "archive_org" => "Archive.org Bot", "Ask Jeeves" => "Ask Jeeves Bot", "Lycos" => "Lycos Bot", "WhatUSeek" => "What You Seek Bot", "ia_archiver" => "IA.Archiver Bot", "GigaBlast" => "Gigablast Bot", "Yahoo!" => "Yahoo Bot", "Yahoo-MMCrawler" => "Yahoo-MMCrawler Bot", "TurtleScanner" => "TurtleScanner Bot", "TurnitinBot" => "TurnitinBot", "ZipppBot" => "ZipppBot", "oBot" => "oBot", "rambler" => "Rambler Bot", "Jetbot" => "Jet Bot", "NaverBot" => "Naver Bot", "libwww" => "Punto Bot", "aport" => "Aport Bot", "msnbot" => "MSN Bot", "MnoGoSearch" => "mnoGoSearch Bot", "booch" => "Booch Bot", "Openbot" => "Openfind Bot", "scooter" => "Altavista Bot", "WebCrawler" => "Fast Bot", "WebZIP" => "WebZIP Bot", "GetSmart" => "GetSmart Bot", "grub-client" => "GrubClient Bot", "Vampire" => "Net_Vampire Bot", "Rambler" => "Rambler Bot", "appie" => "Walhello appie", "architext" => "ArchitextSpider", "jeeves" => "AskJeeves", "bjaaland" => "Bjaaland", "ferret" => "Wild Ferret Web Hopper #1, #2, #3", "gulliver" => "Northern Light Gulliver", "harvest" => "Harvest", "htdig" => "ht://Dig", "linkwalker" => "LinkWalker", "lycos_" => "Lycos", "moget" => "moget", "muscatferret" => "Muscat Ferret", "myweb" => "Internet Shinchakubin", "nomad" => "Nomad", "scooter" => "Scooter", "slurp" => "Inktomi Slurp", "voyager" => "Voyager", "weblayers" => "weblayers", "antibot" => "Antibot", "digout4u" => "Digout4u", "echo" => "EchO!", "fast-webcrawler" => "Fast-Webcrawler", "ia_archiver" => "Alexa (IA Archiver)", "jennybot" => "JennyBot", "mercator" => "Mercator", "netcraft" => "Netcraft", "petersnews" => "Petersnews", "unlost_web_crawler" => "Unlost Web Crawler", "voila" => "Voila", "webbase" => "WebBase", "wisenutbot" => "WISENutbot", "fish" => "Fish search", "abcdatos" => "ABCdatos BotLink", "acme.spider" => "Acme.Spider", "ahoythehomepagefinder" => "Ahoy! The Homepage Finder", "alkaline" => "Alkaline", "anthill" => "Anthill", "arachnophilia" => "Arachnophilia", "arale" => "Arale", "araneo" => "Araneo", "aretha" => "Aretha", "ariadne" => "ARIADNE", "arks" => "arks", "aspider" => "ASpider (Associative Spider)", "atn.txt" => "ATN Worldwide", "atomz" => "Atomz.com Search Robot", "auresys" => "AURESYS", "backrub" => "BackRub", "bbot" => "BBot", "bigbrother" => "Big Brother", "blackwidow" => "BlackWidow", "blindekuh" => "Die Blinde Kuh", "bloodhound" => "Bloodhound", "borg-bot" => "Borg-Bot", "brightnet" => "bright.net caching robot", "bspider" => "BSpider", "cactvschemistryspider" => "CACTVS Chemistry Spider", "calif" => "Calif", "cassandra" => "Cassandra", "cgireader" => "Digimarc Marcspider/CGI", "checkbot" => "Checkbot", "christcrawler" => "ChristCrawler.com", "churl" => "churl", "cienciaficcion" => "cIeNcIaFiCcIoN.nEt", "collective" => "Collective", "combine" => "Combine System", "conceptbot" => "Conceptbot", "coolbot" => "CoolBot", "core" => "Web Core / Roots", "cosmos" => "XYLEME Robot", "cruiser" => "Internet Cruiser Robot", "cusco" => "Cusco", "cyberspyder" => "CyberSpyder Link Test", "desertrealm" => "Desert Realm Spider", "deweb" => "DeWeb Katalog/Index", "dienstspider" => "DienstSpider", "digger" => "Digger", "diibot" => "Digital Integrity Robot", "direct_hit" => "Direct Hit Grabber", "dnabot" => "DNAbot", "download_express" => "DownLoad Express", "dragonbot" => "DragonBot", "dwcp" => "DWCP (Dridus' Web Cataloging Project)", "e-collector" => "e-collector", "ebiness" => "EbiNess", "elfinbot" => "ELFINBOT", "emacs" => "Emacs-w3 Search Engine", "emcspider" => "ananzi", "esther" => "Esther", "evliyacelebi" => "Evliya Celebi", "fastcrawler" => "FastCrawler", "fdse" => "Fluid Dynamics Search Engine robot", "felix" => "Felix IDE", "fetchrover" => "FetchRover", "fido" => "fido", "finnish" => "Hmhkki", "fireball" => "KIT-Fireball", "fouineur" => "Fouineur", "francoroute" => "Robot Francoroute", "freecrawl" => "Freecrawl", "funnelweb" => "FunnelWeb", "gama" => "gammaSpider, FocusedCrawler", "gazz" => "gazz", "gcreep" => "GCreep", "getbot" => "GetBot", "geturl" => "GetURL", "golem" => "Golem", "grapnel" => "Grapnel/0.01 Experiment", "griffon" => "Griffon", "gromit" => "Gromit", "gulperbot" => "Gulper Bot", "hambot" => "HamBot", "havindex" => "havIndex", "hometown" => "Hometown Spider Pro", "htmlgobble" => "HTMLgobble", "hyperdecontextualizer" => "Hyper-Decontextualizer", "iajabot" => "iajaBot", "iconoclast" => "Popular Iconoclast", "ilse" => "Ingrid", "imagelock" => "Imagelock", "incywincy" => "IncyWincy", "informant" => "Informant", "infoseek" => "InfoSeek Robot 1.0", "infoseeksidewinder" => "Infoseek Sidewinder", "infospider" => "InfoSpiders", "inspectorwww" => "Inspector Web", "intelliagent" => "IntelliAgent", "irobot" => "I, Robot", "iron33" => "Iron33", "israelisearch" => "Israeli-search", "javabee" => "JavaBee", "jbot" => "JBot Java Web Robot", "jcrawler" => "JCrawler", "jobo" => "JoBo Java Web Robot", "jobot" => "Jobot", "joebot" => "JoeBot", "jubii" => "The Jubii Indexing Robot", "jumpstation" => "JumpStation", "kapsi" => "image.kapsi.net", "katipo" => "Katipo", "kilroy" => "Kilroy", "ko_yappo_robot" => "KO_Yappo_Robot", "labelgrabber.txt" => "LabelGrabber", "larbin" => "larbin", "legs" => "legs", "linkidator" => "Link Validator", "linkscan" => "LinkScan", "lockon" => "Lockon", "logo_gif" => "logo.gif Crawler", "macworm" => "Mac WWWWorm", "magpie" => "Magpie", "marvin" => "marvin/infoseek", "mattie" => "Mattie", "mediafox" => "MediaFox", "merzscope" => "MerzScope", "meshexplorer" => "NEC-MeshExplorer", "mindcrawler" => "MindCrawler", "mnogosearch" => "mnoGoSearch search engine software", "momspider" => "MOMspider", "monster" => "Monster", "motor" => "Motor", "muncher" => "Muncher", "mwdsearch" => "Mwd.Search", "ndspider" => "NDSpider", "nederland.zoek" => "Nederland.zoek", "netcarta" => "NetCarta WebMap Engine", "netmechanic" => "NetMechanic", "netscoop" => "NetScoop", "newscan-online" => "newscan-online", "nhse" => "NHSE Web Forager", "northstar" => "The NorthStar Robot", "nzexplorer" => "nzexplorer", "objectssearch" => "ObjectsSearch", "occam" => "Occam", "octopus" => "HKU WWW Octopus", "openfind" => "Openfind data gatherer", "orb_search" => "Orb Search", "packrat" => "Pack Rat", "pageboy" => "PageBoy", "parasite" => "ParaSite", "patric" => "Patric", "pegasus" => "pegasus", "perignator" => "The Peregrinator", "perlcrawler" => "PerlCrawler 1.0", "phantom" => "Phantom", "phpdig" => "PhpDig", "piltdownman" => "PiltdownMan", "pimptrain" => "Pimptrain.com's robot", "pioneer" => "Pioneer", "pitkow" => "html_analyzer", "pjspider" => "Portal Juice Spider", "plumtreewebaccessor" => "PlumtreeWebAccessor", "poppi" => "Poppi", "portalb" => "PortalB Spider", "psbot" => "psbot", "python" => "The Python Robot", "raven" => "Raven Search", "rbse" => "RBSE Spider", "resumerobot" => "Resume Robot", "rhcs" => "RoadHouse Crawling System", "road_runner" => "Road Runner: The ImageScape Robot", "robbie" => "Robbie the Robot", "robi" => "ComputingSite Robi/1.0", "robocrawl" => "RoboCrawl Spider", "robofox" => "RoboFox", "robozilla" => "Robozilla", "roverbot" => "Roverbot", "rules" => "RuLeS", "safetynetrobot" => "SafetyNet Robot", "search-info" => "Sleek", "search_au" => "Search.Aus-AU.COM", "searchprocess" => "SearchProcess", "senrigan" => "Senrigan", "sgscout" => "SG-Scout", "shaggy" => "ShagSeeker", "shaihulud" => "Shai'Hulud", "sift" => "Sift", "simbot" => "Simmany Robot Ver1.0", "site-valet" => "Site Valet", "sitetech" => "SiteTech-Rover", "skymob" => "Skymob.com", "slcrawler" => "SLCrawler", "smartspider" => "Smart Spider", "snooper" => "Snooper", "solbot" => "Solbot", "speedy" => "Speedy Spider", "spider_monkey" => "spider_monkey", "spiderbot" => "SpiderBot", "spiderline" => "Spiderline Crawler", "spiderman" => "SpiderMan", "spiderview" => "SpiderView", "spry" => "Spry Wizard Robot", "ssearcher" => "Site Searcher", "suke" => "Suke", "suntek" => "suntek search engine", "sven" => "Sven", "tach_bw" => "TACH Black Widow", "tarantula" => "Tarantula", "tarspider" => "tarspider", "techbot" => "TechBOT", "templeton" => "Templeton", "titan" => "TITAN", "titin" => "TitIn", "tkwww" => "The TkWWW Robot", "tlspider" => "TLSpider", "ucsd" => "UCSD Crawl", "udmsearch" => "UdmSearch", "urlck" => "URL Check", "valkyrie" => "Valkyrie", "verticrawl" => "Verticrawl", "victoria" => "Victoria", "visionsearch" => "vision-search", "voidbot" => "void-bot", "vwbot" => "VWbot", "w3index" => "The NWI Robot", "w3m2" => "W3M2", "wallpaper" => "WallPaper (alias crawlpaper)", "wanderer" => "the World Wide Web Wanderer", "wapspider" => "w@pSpider by wap4.com", "webbandit" => "WebBandit Web Spider", "webcatcher" => "WebCatcher", "webcopy" => "WebCopy", "webfetcher" => "webfetcher", "webfoot" => "The Webfoot Robot", "webinator" => "Webinator", "weblinker" => "WebLinker", "webmirror" => "WebMirror", "webmoose" => "The Web Moose", "webquest" => "WebQuest", "webreader" => "Digimarc MarcSpider", "webreaper" => "WebReaper", "websnarf" => "Websnarf", "webspider" => "WebSpider", "webvac" => "WebVac", "webwalk" => "webwalk", "webwalker" => "WebWalker", "webwatch" => "WebWatch", "whatuseek" => "whatUseek Winona", "whowhere" => "WhoWhere Robot", "wired-digital" => "Wired Digital", "wmir" => "w3mir", "wolp" => "WebStolperer", "wombat" => "The Web Wombat", "worm" => "The World Wide Web Worm", "wwwc" => "WWWC Ver 0.2.5", "wz101" => "WebZinger", "xget" => "XGET", "awbot" => "AWBot", "baiduspider" => "BaiDuSpider", "bobby" => "Bobby", "boris" => "Boris", "bumblebee" => "Bumblebee (relevare.com)", "cscrawler" => "CsCrawler", "daviesbot" => "DaviesBot", "exactseek" => "ExactSeek Crawler", "ezresult" => "sEzresult", "gigabot" => "GigaBot", "gnodspider" => "sGNOD Spider", "grub" => "Grub.org", "henrythemiragorobot" => "Mirago", "holmes" => "Holmes", "internetseer" => "InternetSeer", "justview" => "JustView", "linkbot" => "LinkBot", "linkchecker" => "LinkChecker", "metager-linkchecker" => "MetaGer LinkChecker", "microsoft_url_control" => "Microsoft URL Control", "nagios" => "Nagios", "perman" => "Perman surfer", "pompos" => "Pompos", "rambler" => "StackRambler", "redalert" => "Red Alert", "shoutcast" => "Shoutcast Directory Service", "slysearch" => "SlySearch", "surveybot" => "SurveyBot", "turnitinbot" => "Turn It In", "turtle" => "Turtle", "turtlescanner" => "Turtle", "ultraseek" => "Ultraseek", "webclipping.com" => "WebClipping.com", "webcompass" => "webcompass", "wonderer" => "spider: Web Wombat Redback Spider", "yahoo-verticalcrawler" => "Yahoo Vertical Crawler", "zealbot" => "ZealBot", "zyborg" => "Zyborg", "BecomeBot" => "Become Bot", "Yandex" => "Yandex Bot", "StackRambler" => "Rambler Bot", "ask jeeves" => "Ask Jeeves Bot", "lycos" => "Lycos.com Bot", "whatuseek" => "What You Seek Bot", "ia_archiver" => "Archive.org Bot" );
        foreach ( $robots as $key => $value )
        {
            if ( !strstr( strtolower( $user_agent ), strtolower( $key ) ) )
            {
                continue;
            }
            return $value;
        }
        return FALSE;
    }

    public function clear( )
    {
        $this->user_id = NULL;
        $this->user_name = NULL;
        $this->user_ip = NULL;
        $this->time = NULL;
        $this->user_location = NULL;
        $this->user_group = NULL;
        $this->user_proxy = NULL;
        $this->user_agent = NULL;
        $this->user_OS = NULL;
        $this->user_foto = NULL;
    }

}

define( "ONLINE_ROOT_DIR", "../.." );
define( "ONLINE_UNIQUE_NUMBER", "nulled by Dark Angell" );
if ( !defined( "ROOT_DIR" ) )
{
    include_once( ONLINE_ROOT_DIR."/engine/data/online_config.php" );
}
else
{
    include_once( ROOT_DIR."/engine/data/online_config.php" );
}

if ( $online_config['show_country_flag'] == "yes" || $online_config['show_country'] == "yes" || $online_config['show_city'] == "yes" )
{
    include( ROOT_DIR."/engine/classes/geoip/geoipcity.inc" );
}

$online_api = new online_api( );
$online_api->db = $db;
$online_api->tpl = $tpl;
$online_api->member_id = $member_id;
$online_api->user_groups = $user_group;
$online_api->config = $config;
$online_api->online_config = $online_config;
$online_api->online_list['guests'] = 0;
$online_api->online_list['robots'] = NULL;
$online_api->online_list['robots_count'] = 0;
$online_api->online_list['users'] = NULL;
$online_api->online_list['users_count'] = 0;
$online_api->online_list['all'] = 0;
?>